Create a new script
curl --request POST \
--url http://0.0.0.0:3000/v1/scripts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acender luzes da sala",
"icon": "mdi:lightbulb",
"color": "#FFC107",
"actions": [
{
"type": "call_service",
"entity_id": "light.sala",
"service": "turn_on"
}
]
}
'import requests
url = "http://0.0.0.0:3000/v1/scripts"
payload = {
"name": "Acender luzes da sala",
"icon": "mdi:lightbulb",
"color": "#FFC107",
"actions": [
{
"type": "call_service",
"entity_id": "light.sala",
"service": "turn_on"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acender luzes da sala',
icon: 'mdi:lightbulb',
color: '#FFC107',
actions: [{type: 'call_service', entity_id: 'light.sala', service: 'turn_on'}]
})
};
fetch('http://0.0.0.0:3000/v1/scripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Acender luzes da sala",
"icon": "mdi:lightbulb",
"color": "#FFC107",
"enabled": true,
"actions": [
{
"type": "call_service",
"entity_id": "light.sala",
"service": "turn_on"
}
],
"user_id": "user_abc123",
"org_id": null,
"created_at": "2026-03-17T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"error": "limit_reached",
"message": "Limite atingido (10)",
"limit": 10,
"current": 10
}Scripts
Create a new script
POST
/
v1
/
scripts
Create a new script
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Body
application/json
⌘I